Last Comment Bug 757935 - Bugs with resolution MOVED cannot be edited
: Bugs with resolution MOVED cannot be edited
Status: RESOLVED FIXED
: regression
Product: Bugzilla
Classification: Server Software
Component: Creating/Changing Bugs (show other bugs)
: 4.0.2
: All All
: -- normal (vote)
: Bugzilla 4.0
Assigned To: Frédéric Buclin
: default-qa
:
Mentors:
Depends on: bz-oldbugmove
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-23 11:41 PDT by Ken Brown
Modified: 2012-10-03 10:41 PDT (History)
3 users (show)
LpSolit: approval+
LpSolit: approval4.4+
LpSolit: blocking4.4+
LpSolit: approval4.2+
LpSolit: blocking4.2.4+
LpSolit: approval4.0+
LpSolit: blocking4.0.9+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch, v1 (889 bytes, patch)
2012-09-29 05:21 PDT, Frédéric Buclin
glob: review+
Details | Diff | Splinter Review

Description Ken Brown 2012-05-23 11:41:46 PDT
User Agent: Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10_7_4; en-US) AppleWebKit/533.21.1+(KHTML, like Gecko, Safari/533.19.4) Version/5.11.1 OmniWeb/622.18.0

Steps to reproduce:

Try to add a comment or a "See Also" URL to a bug with resolution "MOVED".


Actual results:

An error page appears with "You cannot set the resolution of a bug to MOVED without moving the bug."


Expected results:

The resolution was not changing.  It was _already_ MOVED so it should not have triggered this error.

Note that if I change the value "MOVED" to check "Enabled for bugs" I can then add comments and URLs, etc.  But this leaves that resolution open to anyone to use for any bug even if it's not moved.

See also Bug 431730 - "Bugs with resolution MOVED cannot be edited anymore".  This is evidently another regression of the same symptom.
Comment 1 Sunil Joshi [:sjoshi] 2012-09-26 03:17:55 PDT
This is a duplicate of Bug 431730. Please mark it accordingly.
Comment 2 Frédéric Buclin 2012-09-26 04:39:01 PDT
I can reproduce the issue with 4.5. This means the extension is really broken and unusable.
Comment 3 Frédéric Buclin 2012-09-29 05:21:11 PDT
Created attachment 666195 [details] [diff] [review]
patch, v1

We must not throw an error if the resolution was already set to MOVED.
Comment 4 Frédéric Buclin 2012-09-29 05:33:53 PDT
Let's take it for 4.0 too, which is where this extension has been implemented. In fact, the extension never worked correctly once a bug was marked as MOVED. This patch applies cleanly to all branches and works as expected.
Comment 5 Byron Jones ‹:glob› [PTO until 2017-01-09] 2012-10-03 08:47:07 PDT
Comment on attachment 666195 [details] [diff] [review]
patch, v1

r=glob
Comment 6 Frédéric Buclin 2012-10-03 10:41:01 PDT
Committing to: bzr+ssh://lpsolit%40gmail.com@bzr.mozilla.org/bugzilla/trunk/
modified extensions/OldBugMove/Extension.pm
Committed revision 8405.

Committing to: bzr+ssh://lpsolit%40gmail.com@bzr.mozilla.org/bugzilla/4.4/
modified extensions/OldBugMove/Extension.pm
Committed revision 8401.

Committing to: bzr+ssh://lpsolit%40gmail.com@bzr.mozilla.org/bugzilla/4.2/
modified extensions/OldBugMove/Extension.pm
Committed revision 8142.

Committing to: bzr+ssh://lpsolit%40gmail.com@bzr.mozilla.org/bugzilla/4.0/
modified extensions/OldBugMove/Extension.pm
Committed revision 7725.

Note You need to log in before you can comment on or make changes to this bug.